## org.apache.lucene.spatial.prefix
Class ContainsPrefixTreeFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.spatial.prefix.AbstractPrefixTreeFilter
              org.apache.lucene.spatial.prefix.ContainsPrefixTreeFilter

    public class ContainsPrefixTreeFilter

extends AbstractPrefixTreeFilter

Finds docs where its indexed shape `CONTAINS` the query shape. For use on `RecursivePrefixTreeStrategy`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.spatial.prefix.AbstractPrefixTreeFilter
`AbstractPrefixTreeFilter.BaseTermsEnumTraverser`

Field Summary

Fields inherited from class org.apache.lucene.spatial.prefix.AbstractPrefixTreeFilter
`detailLevel, fieldName, grid, queryShape`

Constructor Summary
`ContainsPrefixTreeFilter(com.spatial4j.core.shape.Shape queryShape, String fieldName, SpatialPrefixTree grid, int detailLevel)`

Method Summary
`DocIdSet` `getDocIdSet(AtomicReaderContext context, Bits acceptDocs)`

Methods inherited from class org.apache.lucene.spatial.prefix.AbstractPrefixTreeFilter
`equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainsPrefixTreeFilter

    public ContainsPrefixTreeFilter(com.spatial4j.core.shape.Shape queryShape,
                                    String fieldName,
                                    SpatialPrefixTree grid,
                                    int detailLevel)

Method Detail

### getDocIdSet

    public DocIdSet getDocIdSet(AtomicReaderContext context,
                                Bits acceptDocs)
                         throws IOException

  Specified by:
    `getDocIdSet` in class `Filter`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.